## org.gnu.gtk
Class ToolBarChildType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ToolBarChildType

public class ToolBarChildType
extends org.gnu.glib.Enum

Field Summary
`static ToolBarChildType` `BUTTON` Deprecated.
`static ToolBarChildType` `RADIOBUTTON` Deprecated.
`static ToolBarChildType` `SPACE` Deprecated.
`static ToolBarChildType` `TOGGLEBUTTON` Deprecated.
`static ToolBarChildType` `WIDGET` Deprecated.

Method Summary
`ToolBarChildType` `and(ToolBarChildType other)` Deprecated.
`static ToolBarChildType` `intern(int value)` Deprecated.
`ToolBarChildType` `or(ToolBarChildType other)` Deprecated.
`boolean` `test(ToolBarChildType other)` Deprecated.
`ToolBarChildType` `xor(ToolBarChildType other)` Deprecated.

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPACE

    public static final ToolBarChildType SPACE

  Deprecated.

### BUTTON

    public static final ToolBarChildType BUTTON

  Deprecated.

### TOGGLEBUTTON

    public static final ToolBarChildType TOGGLEBUTTON

  Deprecated.

### RADIOBUTTON

    public static final ToolBarChildType RADIOBUTTON

  Deprecated.

### WIDGET

    public static final ToolBarChildType WIDGET

  Deprecated.

Method Detail

### intern

    public static ToolBarChildType intern(int value)

  Deprecated.

### or

    public ToolBarChildType or(ToolBarChildType other)

  Deprecated.

### and

    public ToolBarChildType and(ToolBarChildType other)

  Deprecated.

### xor

    public ToolBarChildType xor(ToolBarChildType other)

  Deprecated.

### test

    public boolean test(ToolBarChildType other)

  Deprecated.